Manifest-Version: 1.0
Bnd-LastModified: 1781249304600
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Analytics Batch Export Import Implementation
Bundle-SymbolicName: com.liferay.analytics.batch.exportimport.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 1.0.22.hotfix-7277-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.account.model;version="5.5",com.liferay.ac
 count.service;version="10.0",com.liferay.analytics.batch.exportimport
 ;version="3.0",com.liferay.analytics.batch.exportimport.manager;versi
 on="2.0",com.liferay.analytics.dxp.entity.rest.dto.v1_0;version="3.0"
 ,com.liferay.analytics.dxp.entity.rest.dto.v1_0.converter;version="1.
 0",com.liferay.analytics.message.storage.model;version="3.4",com.life
 ray.analytics.message.storage.service;version="1.10",com.liferay.anal
 ytics.settings.configuration;version="4.4",com.liferay.analytics.sett
 ings.rest.manager;version="1.2",com.liferay.batch.engine;version="5.5
 ",com.liferay.batch.engine.model;version="6.3",com.liferay.batch.engi
 ne.pagination;version="1.0",com.liferay.batch.engine.service;version=
 "5.2",com.liferay.dispatch.executor;version="6.1",com.liferay.dispatc
 h.model;version="6.3",com.liferay.dispatch.service;version="8.3",com.
 liferay.expando.kernel.model;version="6.0",com.liferay.expando.kernel
 .service;version="1.10",com.liferay.petra.function;version="1.5",com.
 liferay.petra.string;version="1.7",com.liferay.portal.kernel.dao.orm;
 version="12.0",com.liferay.portal.kernel.exception;version="13.1",com
 .liferay.portal.kernel.json;version="12.1",com.liferay.portal.kernel.
 log;version="8.0",com.liferay.portal.kernel.messaging;version="15.0",
 com.liferay.portal.kernel.model;version="30.1",com.liferay.portal.ker
 nel.module.configuration;version="2.1",com.liferay.portal.kernel.sear
 ch;version="20.1",com.liferay.portal.kernel.search.filter;version="1.
 0",com.liferay.portal.kernel.service;version="24.0",com.liferay.porta
 l.kernel.util;version="60.0",com.liferay.portal.odata.entity;version=
 "2.1",com.liferay.portal.vulcan.dto.converter;version="4.0",com.lifer
 ay.portal.vulcan.pagination;version="1.4",com.liferay.portal.vulcan.u
 til;version="11.1"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Analytics
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.analytics.batch.exportimport.internal,com
 .liferay.analytics.batch.exportimport.internal.dispatch.executor,com.
 liferay.analytics.batch.exportimport.internal.dto.v1_0.converter,com.
 liferay.analytics.batch.exportimport.internal.dto.v1_0.converter.cons
 tants,com.liferay.analytics.batch.exportimport.internal.engine,com.li
 feray.analytics.batch.exportimport.internal.manager,com.liferay.analy
 tics.batch.exportimport.internal.odata.entity
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .analytics.batch.exportimport.AnalyticsDXPEntityBatchExporter";uses:=
 "com.liferay.analytics.batch.exportimport",osgi.service;objectClass:L
 ist<String>="com.liferay.analytics.batch.exportimport.manager.Analyti
 csBatchExportImportManager";uses:="com.liferay.analytics.batch.export
 import.manager",osgi.service;objectClass:List<String>="com.liferay.ba
 tch.engine.BatchEngineTaskItemDelegate";uses:="com.liferay.batch.engi
 ne",osgi.service;objectClass:List<String>="com.liferay.dispatch.execu
 tor.DispatchTaskExecutor";uses:="com.liferay.dispatch.executor",osgi.
 service;objectClass:List<String>="com.liferay.portal.vulcan.dto.conve
 rter.DTOConverter";uses:="com.liferay.portal.vulcan.dto.converter"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.acc
 ount.service.AccountEntryLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.account.service.AccountGroupLocal
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.analytics.batch.exportimport.manager.AnalyticsBatchExportImport
 Manager)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.analytics.message.storage.service.AnalyticsAssociationLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.analytics.message.storage.service.AnalyticsDeleteMessageLocalServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 analytics.message.storage.service.AnalyticsMessageLocalService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.analytic
 s.settings.configuration.AnalyticsConfigurationRegistry)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.analytics.setti
 ngs.rest.manager.AnalyticsSettingsManager)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.batch.engine.BatchEngineExpor
 tTaskExecutor)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.batch.engine.BatchEngineImportTaskExecutor)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.batch.engine.ser
 vice.BatchEngineExportTaskLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.batch.engine.service.BatchEngine
 ImportTaskLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.dispatch.service.DispatchLogLocalService)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.dispatch.
 service.DispatchTriggerLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.expando.kernel.service.ExpandoColum
 nLocalService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.expando.kernel.service.ExpandoTableLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.json.JSONFactory)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.messaging.Destination)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.mod
 ule.configuration.ConfigurationProvider)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.service.ClassName
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.service.CompanyLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.serv
 ice.GroupLocalService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.service.OrganizationLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.service.RoleLocalService)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.service.TeamLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.kernel.service.UserGroupLocalService)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.service.User
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.util.File)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.util.Http)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.vulcan.
 dto.converter.DTOConverter)";effective:=active,osgi.extender;filter:=
 "(&(osgi.extender=osgi.component)(version>=1.4.0)(!(version>=2.0.0)))
 ",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.analytics.batch.exportimport.i
 nternal.AnalyticsDXPEntityBatchExporterImpl.xml,OSGI-INF/com.liferay.
 analytics.batch.exportimport.internal.dispatch.executor.AccountEntryA
 nalyticsDXPEntityExportDispatchTaskExecutor.xml,OSGI-INF/com.liferay.
 analytics.batch.exportimport.internal.dispatch.executor.AccountGroupA
 nalyticsDXPEntityExportDispatchTaskExecutor.xml,OSGI-INF/com.liferay.
 analytics.batch.exportimport.internal.dispatch.executor.AnalyticsAsso
 ciationDXPEntityExportDispatchTaskExecutor.xml,OSGI-INF/com.liferay.a
 nalytics.batch.exportimport.internal.dispatch.executor.AnalyticsDelet
 eMessageAnalyticsDXPEntityExportDispatchTaskExecutor.xml,OSGI-INF/com
 .liferay.analytics.batch.exportimport.internal.dispatch.executor.Expa
 ndoColumnAnalyticsDXPEntityExportDispatchTaskExecutor.xml,OSGI-INF/co
 m.liferay.analytics.batch.exportimport.internal.dispatch.executor.Gro
 upAnalyticsDXPEntityExportDispatchTaskExecutor.xml,OSGI-INF/com.lifer
 ay.analytics.batch.exportimport.internal.dispatch.executor.Organizati
 onAnalyticsDXPEntityExportDispatchTaskExecutor.xml,OSGI-INF/com.lifer
 ay.analytics.batch.exportimport.internal.dispatch.executor.RoleAnalyt
 icsDXPEntityExportDispatchTaskExecutor.xml,OSGI-INF/com.liferay.analy
 tics.batch.exportimport.internal.dispatch.executor.TeamAnalyticsDXPEn
 tityExportDispatchTaskExecutor.xml,OSGI-INF/com.liferay.analytics.bat
 ch.exportimport.internal.dispatch.executor.UserAnalyticsDXPEntityExpo
 rtDispatchTaskExecutor.xml,OSGI-INF/com.liferay.analytics.batch.expor
 timport.internal.dispatch.executor.UserGroupAnalyticsDXPEntityExportD
 ispatchTaskExecutor.xml,OSGI-INF/com.liferay.analytics.batch.exportim
 port.internal.dto.v1_0.converter.DXPEntityDTOConverterImpl.xml,OSGI-I
 NF/com.liferay.analytics.batch.exportimport.internal.engine.AccountEn
 tryAnalyticsDXPEntityBatchEngineTaskItemDelegate.xml,OSGI-INF/com.lif
 eray.analytics.batch.exportimport.internal.engine.AccountGroupAnalyti
 csDXPEntityBatchEngineTaskItemDelegate.xml,OSGI-INF/com.liferay.analy
 tics.batch.exportimport.internal.engine.AnalyticsAssociationAnalytics
 DXPEntityBatchEngineTaskItemDelegate.xml,OSGI-INF/com.liferay.analyti
 cs.batch.exportimport.internal.engine.AnalyticsDeleteMessageAnalytics
 DXPEntityBatchEngineTaskItemDelegate.xml,OSGI-INF/com.liferay.analyti
 cs.batch.exportimport.internal.engine.ExpandoColumnAnalyticsDXPEntity
 BatchEngineTaskItemDelegate.xml,OSGI-INF/com.liferay.analytics.batch.
 exportimport.internal.engine.GroupAnalyticsDXPEntityBatchEngineTaskIt
 emDelegate.xml,OSGI-INF/com.liferay.analytics.batch.exportimport.inte
 rnal.engine.OrganizationAnalyticsDXPEntityBatchEngineTaskItemDelegate
 .xml,OSGI-INF/com.liferay.analytics.batch.exportimport.internal.engin
 e.RoleAnalyticsDXPEntityBatchEngineTaskItemDelegate.xml,OSGI-INF/com.
 liferay.analytics.batch.exportimport.internal.engine.TeamAnalyticsDXP
 EntityBatchEngineTaskItemDelegate.xml,OSGI-INF/com.liferay.analytics.
 batch.exportimport.internal.engine.UserAnalyticsDXPEntityBatchEngineT
 askItemDelegate.xml,OSGI-INF/com.liferay.analytics.batch.exportimport
 .internal.engine.UserGroupAnalyticsDXPEntityBatchEngineTaskItemDelega
 te.xml,OSGI-INF/com.liferay.analytics.batch.exportimport.internal.man
 ager.AnalyticsBatchExportImportManagerImpl.xml
Tool: Bnd-4.3.0.201909301554

